# ChangeLog for app-arch/gzip
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/gzip/ChangeLog,v 1.57 2006/03/30 15:15:00 flameeyes Exp $

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> gzip-1.3.5-r8.ebuild:
  Add ~x86-fbsd keyword.

*gzip-1.3.5-r8 (02 Jul 2005)

  02 Jul 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gzip-1.3.5-huft-build-return-fix.patch, +gzip-1.3.5-r8.ebuild:
  Fix crash on bad input #94584 by Tavis Ormandy.

*gzip-1.3.5-r7 (31 May 2005)

  31 May 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gzip-1.3.5-alpha.patch, +gzip-1.3.5-r7.ebuild:
  Fix segfault on alpha/xorg with a patch from Debian #92232.

  06 May 2005; Stephen Bennett <spb@gentoo.org> gzip-1.3.5-r6.ebuild:
  Mips stable for #89946.

  04 May 2005; Bryan Østergaard <kloeri@gentoo.org> gzip-1.3.5-r6.ebuild:
  Stable on alpha + ia64, bug 89946.

  03 May 2005; Michael Hanselmann <hansmi@gentoo.org> gzip-1.3.5-r6.ebuild:
  Stable on ppc and hppa.

  03 May 2005; Olivier Crête <tester@gentoo.org> gzip-1.3.5-r6.ebuild:
  Stable on x86 per security bug #89946

  03 May 2005; Omkhar Arasaratnam <omkhar@gentoo.org> gzip-1.3.5-r6.ebuild:
  Stable on ppc64 wrt #89946

  03 May 2005; Gustavo Zacarias <gustavoz@gentoo.org> gzip-1.3.5-r6.ebuild:
  Stable on sparc wrt #89946

  03 May 2005; Jan Brinkmann <luckyduck@gentoo.org> gzip-1.3.5-r6.ebuild:
  stable on amd64 wrt #89946

*gzip-1.3.5-r6 (02 May 2005)

  02 May 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gzip-1.3.5-asm-execstack.patch, +files/gzip-1.3.5-debian.patch,
  +files/gzip-1.3.5-gunzip-dir.patch, +files/gzip-1.3.5-gzip-perm.patch,
  +files/gzip-1.3.5-infodir.patch, +files/gzip-1.3.5-rsync.patch,
  +files/gzip-1.3.5-zgrep-sed.patch, -files/gzip-1.3.5-znew-tempfile.patch,
  +gzip-1.3.5-r6.ebuild:
  Add a bunch of patches from Redhat, break up the Debian patch we used, and
  add fixes for security #89946 and #90626.

*gzip-1.3.5-r5 (04 Jan 2005)

  04 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  -files/gzip-1.3.5-zdiff-tempfile-2.patch,
  -files/gzip-1.3.5-zdiff-tempfile.patch, -gzip-1.3.5-r3.ebuild,
  -gzip-1.3.5-r4.ebuild, +gzip-1.3.5-r5.ebuild:
  Remove zdiff patch since it isnt actually needed (zdiff utilizes the
  noclobber feature of bash to protect against symlink attacks). Fixes zdiff
  breakage #70277.

  29 Dec 2004; Hardave Riar <hardave@gentoo.org> gzip-1.3.5-r4.ebuild:
  Stable on mips, bug #70825.

  14 Dec 2004; Bryan Østergaard <kloeri@gentoo.org> gzip-1.3.5-r4.ebuild:
  Stable on alpha, bug 70825.

  14 Dec 2004; Markus Rothe <corsair@gentoo.org> gzip-1.3.5-r4.ebuild:
  Stable on ppc64

  14 Dec 2004; Guy Martin <gmsoft@gentoo.org> gzip-1.3.5-r4.ebuild:
  Stable on hppa.

  13 Dec 2004; Mike Doty <kingtaco@gentoo.org> gzip-1.3.5-r4.ebuild:
  stable on amd64.  bug #70825

  13 Dec 2004; Gustavo Zacarias <gustavoz@gentoo.org> gzip-1.3.5-r4.ebuild:
  Stable on sparc

  13 Dec 2004; Daniel Black <dragonheart@gentoo.org> gzip-1.3.5-r4.ebuild:
  ppc stable as per bug #70825.

*gzip-1.3.5-r4 (12 Dec 2004)

  12 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +files/gzip-1.3.5-zdiff-tempfile-2.patch,
  +files/gzip-1.3.5-znew-tempfile-2.patch, +gzip-1.3.5-r4.ebuild:
  Fix the zdiff patch so it works #70277 by Michael Moen. Update the znew
  patch with the mandrake version #70825.

  24 Nov 2004; Guy Martin <gmsoft@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable on hppa.

  18 Nov 2004; Aron Griffis <agriffis@gentoo.org> gzip-1.3.5-r3.ebuild:
  stable on ia64

  18 Nov 2004; Bryan Østergaard <kloeri@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable on alpha, bug 70825.

  18 Nov 2004; Karol Wojtaszek <sekretarz@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable on amd64, bug #70825

  18 Nov 2004; Markus Rothe <corsair@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable on ppc64; bug #70825

  18 Nov 2004; Hardave Riar <hardave@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable on mips, bug #70825

  18 Nov 2004; Olivier Crete <tester@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable in x86 wrt 70825

  18 Nov 2004; Luca Barbato <lu_zero@gentoo.org> gzip-1.3.5-r3.ebuild:
  Marked ppc

  18 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> gzip-1.3.5-r3.ebuild:
  Stable on sparc wrt #70825

*gzip-1.3.5-r3 (17 Nov 2004)

  17 Nov 2004; <solar@gentoo.org> +files/gzip-1.3.5-znew-tempfile.patch,
  +gzip-1.3.5-r3.ebuild:
  security bump. znew tmpfile handling.

  30 Oct 2004; Tom Gall <tgall@gentoo.org> gzip-1.3.5-r2.ebuild:
  stable on ppc64, bug #68405

  27 Oct 2004; Seemant Kulleen <seemant@gentoo.org> gzip-1.3.5-r2.ebuild:
  stable on x86, bug 68405

  27 Oct 2004; Hardave Riar <hardave@gentoo.org> gzip-1.3.5-r2.ebuild:
  Stable on mips, bug #68405.

  27 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> gzip-1.3.5-r2.ebuild:
  Stable on alpha, bug 68405.

  27 Oct 2004; Joseph Jezak <josejx@gentoo.org> gzip-1.3.5-r2.ebuild:
  Tested and marked ppc

  26 Oct 2004; Travis Tilley <lv@gentoo.org> gzip-1.3.5-r2.ebuild:
  stable on amd64

  26 Oct 2004; Gustavo Zacarias <gustavoz@gentoo.org> gzip-1.3.5-r2.ebuild:
  Stable on sparc wrt #68405

*gzip-1.3.5-r2 (26 Oct 2004)

  26 Oct 2004; <solar@gentoo.org> +files/gzip-1.3.5-zdiff-tempfile.patch,
  +gzip-1.3.5-r2.ebuild:
  security bump. insecure tmpfile handling bug 68405

  13 Oct 2004; Travis Tilley <lv@gentoo.org> gzip-1.3.5-r1.ebuild:
  stable on amd64

  05 Oct 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  gzip-1.3.5-r1.ebuild:
  Masked gzip-1.3.5-r1.ebuild stable for ppc

  19 Sep 2004; Joshua Kinard <kumba@gentoo.org> gzip-1.3.5-r1.ebuild:
  Marked stable on mips.

  09 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> gzip-1.3.5-r1.ebuild:
  Stable on sparc

  08 Sep 2004; Mike Frysinger <vapier@gentoo.org> gzip-1.3.5-r1.ebuild:
  Trim out useless stuff from the debian patch #55450 by Tyler Montbriand.

  28 Jun 2004; <solar@gentoo.org> gzip-1.3.5-r1.ebuild:
  added the pic USE= flag to allow gzip to be built without inline assembler
  code to avoid text relocations

*gzip-1.3.3-r4 (23 Jun 2004)
*gzip-1.3.5-r1 (23 Jun 2004)

  23 Jun 2004; Aron Griffis <agriffis@gentoo.org>
  files/gzip-1.3.3-security.patch, files/gzip-1.3.5-security.patch,
  -gzip-1.3.3-r3.ebuild, +gzip-1.3.3-r4.ebuild, +gzip-1.3.5-r1.ebuild,
  -gzip-1.3.5.ebuild:
  More security fixes: Use set -C to protect against more tempfile
  problems in gzexe.  Use tail -n in all cases since current GNU version
  doesn't support tail +number at all.

*gzip-1.3.5 (23 Jun 2004)

  23 Jun 2004; Aron Griffis <agriffis@gentoo.org> +metadata.xml,
  files/gzip-1.3.3-security.patch, +files/gzip-1.3.5-security.patch,
  -gzip-1.3.3-r2.ebuild, +gzip-1.3.5.ebuild:
  Check exit status of tempfile command #54890
  Update to 1.3.5 plus Debian patches to fix segfault on alpha #53641

  06 May 2004; Daniel Black <dragonheart@gentoo.org>
  -files/gzip-1.2.4a-r5-gentoo.diff, -files/gzip-1.2.4a-r6-gentoo.diff,
  -files/gzip-1.3.2-gentoo.diff, -files/gzip-1.3.3-gentoo.diff:
  Old file cleanout

  28 Mar 2004; Mike Frysinger <vapier@gentoo.org> :
  Add USE=static support #45055 by Sascha Silbe.

  02 Mar 2004; Brian Jackson <iggy@gentoo.org> gzip-1.3.3-r2.ebuild:
  adding initial s390 support

  21 Feb 2004; Michael Sterrett <mr_bones_@gentoo.org> gzip-1.3.3-r2.ebuild:
  header fix; arm needs deps first; tidy

*gzip-1.3.2 (14 Nov 2003)

  14 Nov 2003; Seemant Kulleen <seemant@gentoo.org> gzip-1.2.4a-r6.ebuild,
  gzip-1.3.2.ebuild, gzip-1.3.3-r1.ebuild, gzip-1.3.3-r2.ebuild,
  gzip-1.3.3.ebuild, files/gzip-1.2.4a-r5-gentoo.diff,
  files/gzip-1.2.4a-r6-gentoo.diff, files/gzip-1.3.2-gentoo.diff,
  files/gzip-1.3.3-gentoo.diff, files/gzip-1.3.3-security.patch:
  moved from sys-apps to app-arch, and PROVIDES virtual/gzip

*gzip-1.3.3-r2 (09 Jun 2003)

  15 Jun 2003; Joshua Kinard <kumba@gentoo.org> :
  Fixed b0rked digests, added ChangeLog to Manifest

  09 Jun 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Security update. Added Debian patches for znew and gzexe.

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.

*gzip-1.3.3-r1 (20 Jan 2003)

  16 Apr 2003; Guy Martin <gmsoft@gentoo.org> gzip-1.3.3-r1.ebuild :
  Marked stable on hppa.

  02 Apr 2003; Christian Birchinger <joker@gentoo.org> gzip-1.3.3-r1.ebuild:
  Added stable sparc keyword

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> gzip-1.3.3-r1.ebuild :
  Mark as stable for mips.

  20 Jan 2003; Martin Schlemmer <azarah@gentoo.org> gzip-1.3.3-r1.ebuild :
  Do install gzcat, gunzip, etc as symlinks.  Closing bug #7600.  Also
  added z?grep and zcmp to the list from #7600.

  10 Dec 2002; Martin Schlemmer <azarah@gentoo.org> gzip-1.3.3.ebuild :
  Mark stable.

  06 Dec 2002; Rodney Rees <manson@gentoo.org>:
  Changed sparc ~sparc keywords
 
  19 Oct 2002; Michael Cohen <mjc@gentoo.org> gzip-1.3.3.ebuild :
  Changed KEYWORDS to "~x86 ~ppc ~sparc ~sparc64 ~alpha".

*gzip-1.3.3 (19 Oct 2002)

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> gzip-1.3.3.ebuild :
  Added hppa to keywords.

  19 Oct 2002; Michael Cohen <mjc@gentoo.org> : New version.

*gzip-1.2.4a-r6 (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> gzip-1.2.4a-r6.ebuild :
  Added KEYWORDS, SLOT.

*gzip-1.3.2 (1 Feb 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  14 Jul 2002; phoen][x <phoenix@gentoo.org> gzip-1.3.2.ebuild :
  Added KEYWORDS, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
